org.egothor.stemmer

## Class Gener

- java.lang.Object
- - org.egothor.stemmer.Reduce
  - - org.egothor.stemmer.Gener

    public class Gener
    extends Reduce

The Gener object helps in the discarding of nodes which break the reduction effort and defend the structure against large reductions.

### Constructor Summary

Constructors
Constructor and Description
`Gener()` Constructor for the Gener object.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `eat(Row in, int[] remap)` Test whether the given Row of Cells in a Trie should be included in an optimized Trie.
`Trie` `optimize(Trie orig)` Return a Trie with infrequent values occurring in the given Trie removed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Gener

    public Gener()

Constructor for the Gener object.

### Method Detail

#### optimize

    public Trie optimize(Trie orig)

Return a Trie with infrequent values occurring in the given Trie removed.

Overrides:
  `optimize` in class `Reduce`
Parameters:
  `orig` - the Trie to optimize
Returns:
  a new optimized Trie

#### eat

    public boolean eat(Row in,
                       int[] remap)

Test whether the given Row of Cells in a Trie should be included in an optimized Trie.

Parameters:
  `in` - the Row to test
  `remap` - Description of the Parameter
Returns:
  `true` if the Row should remain, `false` otherwise